paramsBinaryFileName = 'databaseModelSBD.m.params';
stateBinaryFileName = '';

cnn.params.count = 0;
cnn.params.batchSize = 100;
cnn.params.epoch = 1;
cnn.params.learningRate =       0.1000;
cnn.params.momentum =       0.0000;
cnn.params.phase = 1;
cnn.params.allocatorLevel = 1;
cnn.params.costType = 0;

layerNum = 8;
cnn.layer(1).id = 1;
cnn.layer(1).type = 0;
cnn.layer(1).row = 357;
cnn.layer(1).col = 437;
cnn.layer(1).channel = 3;
cnn.layer(1).inputParams.row = 357;
cnn.layer(1).inputParams.col = 437;
cnn.layer(1).inputParams.channel = 3;
cnn.layer(1).inputParams.scale =       1.0000;
cnn.layer(1).inputParams.trainingCropType = 0;
cnn.layer(1).inputParams.trainingMirrorType = 1;
cnn.layer(1).inputParams.testingCropType = 0;
cnn.layer(1).inputParams.testingMirrorType = 1;

cnn.layer(2).id = 2;
cnn.layer(2).type = 1;
cnn.layer(2).row = 352;
cnn.layer(2).col = 432;
cnn.layer(2).channel = 25;
cnn.layer(2).convParams.kernelRow = 6;
cnn.layer(2).convParams.kernelCol = 6;
cnn.layer(2).convParams.padUp = 0;
cnn.layer(2).convParams.padDown = 0;
cnn.layer(2).convParams.padLeft = 0;
cnn.layer(2).convParams.padRight = 0;
cnn.layer(2).convParams.strideX = 1;
cnn.layer(2).convParams.strideY = 1;
cnn.layer(2).convParams.inputFeatureMapChannel = 3;
cnn.layer(2).convParams.outputFeatureMapChannel = 25;
cnn.layer(2).convParams.type = 0;
cnn.layer(2).convParams.kernelDecayFactor =       1.0000;
cnn.layer(2).convParams.kernelInit.type = 3;
cnn.layer(2).convParams.kernelLearningFactor =      1.0000;
cnn.layer(2).convParams.biasInit.type = 0;
cnn.layer(2).convParams.biasLearningFactor =      1.0000;

cnn.layer(3).id = 3;
cnn.layer(3).type = 3;
cnn.layer(3).row = 352;
cnn.layer(3).col = 432;
cnn.layer(3).channel = 25;
cnn.layer(3).nonlinearParams.type = 5;

cnn.layer(4).id = 4;
cnn.layer(4).type = 2;
cnn.layer(4).row = 44;
cnn.layer(4).col = 54;
cnn.layer(4).channel = 25;
cnn.layer(4).poolingParams.type = 0;
cnn.layer(4).poolingParams.scaleRow = 8;
cnn.layer(4).poolingParams.scaleCol = 8;
cnn.layer(4).poolingParams.padUp = 0;
cnn.layer(4).poolingParams.padDown = 0;
cnn.layer(4).poolingParams.padLeft = 0;
cnn.layer(4).poolingParams.padRight = 0;
cnn.layer(4).poolingParams.strideX = 8;
cnn.layer(4).poolingParams.strideY = 8;

cnn.layer(5).id = 5;
cnn.layer(5).type = 1;
cnn.layer(5).row = 42;
cnn.layer(5).col = 52;
cnn.layer(5).channel = 50;
cnn.layer(5).convParams.kernelRow = 3;
cnn.layer(5).convParams.kernelCol = 3;
cnn.layer(5).convParams.padUp = 0;
cnn.layer(5).convParams.padDown = 0;
cnn.layer(5).convParams.padLeft = 0;
cnn.layer(5).convParams.padRight = 0;
cnn.layer(5).convParams.strideX = 1;
cnn.layer(5).convParams.strideY = 1;
cnn.layer(5).convParams.inputFeatureMapChannel = 25;
cnn.layer(5).convParams.outputFeatureMapChannel = 50;
cnn.layer(5).convParams.type = 0;
cnn.layer(5).convParams.kernelDecayFactor =       1.0000;
cnn.layer(5).convParams.kernelInit.type = 3;
cnn.layer(5).convParams.kernelLearningFactor =      1.0000;
cnn.layer(5).convParams.biasInit.type = 0;
cnn.layer(5).convParams.biasLearningFactor =      1.0000;

cnn.layer(6).id = 6;
cnn.layer(6).type = 3;
cnn.layer(6).row = 42;
cnn.layer(6).col = 52;
cnn.layer(6).channel = 50;
cnn.layer(6).nonlinearParams.type = 5;

cnn.layer(7).id = 7;
cnn.layer(7).type = 2;
cnn.layer(7).row = 21;
cnn.layer(7).col = 26;
cnn.layer(7).channel = 50;
cnn.layer(7).poolingParams.type = 0;
cnn.layer(7).poolingParams.scaleRow = 2;
cnn.layer(7).poolingParams.scaleCol = 2;
cnn.layer(7).poolingParams.padUp = 0;
cnn.layer(7).poolingParams.padDown = 0;
cnn.layer(7).poolingParams.padLeft = 0;
cnn.layer(7).poolingParams.padRight = 0;
cnn.layer(7).poolingParams.strideX = 2;
cnn.layer(7).poolingParams.strideY = 2;

cnn.layer(8).id = 8;
cnn.layer(8).type = 1;
cnn.layer(8).row = 15;
cnn.layer(8).col = 20;
cnn.layer(8).channel = 8;
cnn.layer(8).convParams.kernelRow = 7;
cnn.layer(8).convParams.kernelCol = 7;
cnn.layer(8).convParams.padUp = 0;
cnn.layer(8).convParams.padDown = 0;
cnn.layer(8).convParams.padLeft = 0;
cnn.layer(8).convParams.padRight = 0;
cnn.layer(8).convParams.strideX = 1;
cnn.layer(8).convParams.strideY = 1;
cnn.layer(8).convParams.inputFeatureMapChannel = 50;
cnn.layer(8).convParams.outputFeatureMapChannel = 8;
cnn.layer(8).convParams.type = 0;
cnn.layer(8).convParams.kernelDecayFactor =       1.0000;
cnn.layer(8).convParams.kernelInit.type = 3;
cnn.layer(8).convParams.kernelLearningFactor =      1.0000;
cnn.layer(8).convParams.biasInit.type = 0;
cnn.layer(8).convParams.biasLearningFactor =      1.0000;

